Package: groovy.org.codenarc.rule.basic

## [Groovy] Class BrokenNullCheckRule

- groovy.org.codenarc.rule.basic.BrokenNullCheckRule

- Looks for faulty checks for null in boolean conditions, e.g. if (name != null || name.length > 0) { } if (name != null || name.size() > 0) { } if (string == null && string.equals("")) { }

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority